import MetadataFiles from "../../metadata/metadataFiles";
import ProfileActions from "./profileActions";
export default class ProfileReconcile extends ProfileActions {
    metadataFiles: MetadataFiles;
    reconcile(srcFolders: string[], profileList: string[], destFolder: string): Promise<string[]>;
    private findProfilesToReconcile;
    private fetchMetadataFilesFromAllPackageDirectories;
    private createDestinationFolder;
    private removeUserPermissionNotAvailableInOrg;
    private removePermissionsBasedOnProjectConfig;
    private removeUnsupportedUserPermissions;
    private cleanupUserLicenses;
    private reconcileApp;
    private reconcileClasses;
    private reconcileFields;
    private reconcileLayouts;
    private reconcileObjects;
    private reconcileCustomMetadata;
    private reconcileCustomSettings;
    private reconcileExternalDataSource;
    private reconcileFlow;
    private reconcileLoginFlow;
    private reconcileCustomPermission;
    private reconcilePages;
    private reconcileRecordTypes;
    private reconcileTabs;
    private fetchPermissions;
    private reconcileUserPermissions;
    private reconcileProfile;
}
